// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.31.0
// 	protoc        v3.20.1
// source: internal/pkg/chord/proto/node.proto

package proto

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type Void struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *Void) Reset() {
	*x = Void{}
	if protoimpl.UnsafeEnabled {
		mi := &file_internal_pkg_chord_proto_node_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Void) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Void) ProtoMessage() {}

func (x *Void) ProtoReflect() protoreflect.Message {
	mi := &file_internal_pkg_chord_proto_node_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Void.ProtoReflect.Descriptor instead.
func (*Void) Descriptor() ([]byte, []int) {
	return file_internal_pkg_chord_proto_node_proto_rawDescGZIP(), []int{0}
}

type NodeInfo struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id  []byte `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Url string `protobuf:"bytes,2,opt,name=url,proto3" json:"url,omitempty"`
}

func (x *NodeInfo) Reset() {
	*x = NodeInfo{}
	if protoimpl.UnsafeEnabled {
		mi := &file_internal_pkg_chord_proto_node_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *NodeInfo) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NodeInfo) ProtoMessage() {}

func (x *NodeInfo) ProtoReflect() protoreflect.Message {
	mi := &file_internal_pkg_chord_proto_node_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NodeInfo.ProtoReflect.Descriptor instead.
func (*NodeInfo) Descriptor() ([]byte, []int) {
	return file_internal_pkg_chord_proto_node_proto_rawDescGZIP(), []int{1}
}

func (x *NodeInfo) GetId() []byte {
	if x != nil {
		return x.Id
	}
	return nil
}

func (x *NodeInfo) GetUrl() string {
	if x != nil {
		return x.Url
	}
	return ""
}

type NodeAndHopInfo struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Node     *NodeInfo `protobuf:"bytes,1,opt,name=node,proto3" json:"node,omitempty"`
	HopCount uint32    `protobuf:"varint,2,opt,name=hopCount,proto3" json:"hopCount,omitempty"`
}

func (x *NodeAndHopInfo) Reset() {
	*x = NodeAndHopInfo{}
	if protoimpl.UnsafeEnabled {
		mi := &file_internal_pkg_chord_proto_node_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *NodeAndHopInfo) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NodeAndHopInfo) ProtoMessage() {}

func (x *NodeAndHopInfo) ProtoReflect() protoreflect.Message {
	mi := &file_internal_pkg_chord_proto_node_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NodeAndHopInfo.ProtoReflect.Descriptor instead.
func (*NodeAndHopInfo) Descriptor() ([]byte, []int) {
	return file_internal_pkg_chord_proto_node_proto_rawDescGZIP(), []int{2}
}

func (x *NodeAndHopInfo) GetNode() *NodeInfo {
	if x != nil {
		return x.Node
	}
	return nil
}

func (x *NodeAndHopInfo) GetHopCount() uint32 {
	if x != nil {
		return x.HopCount
	}
	return 0
}

type Id struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id []byte `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *Id) Reset() {
	*x = Id{}
	if protoimpl.UnsafeEnabled {
		mi := &file_internal_pkg_chord_proto_node_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Id) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Id) ProtoMessage() {}

func (x *Id) ProtoReflect() protoreflect.Message {
	mi := &file_internal_pkg_chord_proto_node_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Id.ProtoReflect.Descriptor instead.
func (*Id) Descriptor() ([]byte, []int) {
	return file_internal_pkg_chord_proto_node_proto_rawDescGZIP(), []int{3}
}

func (x *Id) GetId() []byte {
	if x != nil {
		return x.Id
	}
	return nil
}

type IdAndValue struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id    []byte `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Value string `protobuf:"bytes,2,opt,name=value,proto3" json:"value,omitempty"`
}

func (x *IdAndValue) Reset() {
	*x = IdAndValue{}
	if protoimpl.UnsafeEnabled {
		mi := &file_internal_pkg_chord_proto_node_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *IdAndValue) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*IdAndValue) ProtoMessage() {}

func (x *IdAndValue) ProtoReflect() protoreflect.Message {
	mi := &file_internal_pkg_chord_proto_node_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use IdAndValue.ProtoReflect.Descriptor instead.
func (*IdAndValue) Descriptor() ([]byte, []int) {
	return file_internal_pkg_chord_proto_node_proto_rawDescGZIP(), []int{4}
}

func (x *IdAndValue) GetId() []byte {
	if x != nil {
		return x.Id
	}
	return nil
}

func (x *IdAndValue) GetValue() string {
	if x != nil {
		return x.Value
	}
	return ""
}

type ValueInfo struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ResponsibleNode *NodeAndHopInfo `protobuf:"bytes,1,opt,name=responsibleNode,proto3" json:"responsibleNode,omitempty"` // info of the node which is currently responsible for the value
	Value           string          `protobuf:"bytes,2,opt,name=value,proto3" json:"value,omitempty"`
	Found           bool            `protobuf:"varint,3,opt,name=found,proto3" json:"found,omitempty"`
}

func (x *ValueInfo) Reset() {
	*x = ValueInfo{}
	if protoimpl.UnsafeEnabled {
		mi := &file_internal_pkg_chord_proto_node_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ValueInfo) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ValueInfo) ProtoMessage() {}

func (x *ValueInfo) ProtoReflect() protoreflect.Message {
	mi := &file_internal_pkg_chord_proto_node_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ValueInfo.ProtoReflect.Descriptor instead.
func (*ValueInfo) Descriptor() ([]byte, []int) {
	return file_internal_pkg_chord_proto_node_proto_rawDescGZIP(), []int{5}
}

func (x *ValueInfo) GetResponsibleNode() *NodeAndHopInfo {
	if x != nil {
		return x.ResponsibleNode
	}
	return nil
}

func (x *ValueInfo) GetValue() string {
	if x != nil {
		return x.Value
	}
	return ""
}

func (x *ValueInfo) GetFound() bool {
	if x != nil {
		return x.Found
	}
	return false
}

var File_internal_pkg_chord_proto_node_proto protoreflect.FileDescriptor

var file_internal_pkg_chord_proto_node_proto_rawDesc = []byte{
	0x0a, 0x23, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x2f, 0x70, 0x6b, 0x67, 0x2f, 0x63,
	0x68, 0x6f, 0x72, 0x64, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x6e, 0x6f, 0x64, 0x65, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x05, 0x63, 0x68, 0x6f, 0x72, 0x64, 0x22, 0x06, 0x0a, 0x04,
	0x56, 0x6f, 0x69, 0x64, 0x22, 0x2c, 0x0a, 0x08, 0x4e, 0x6f, 0x64, 0x65, 0x49, 0x6e, 0x66, 0x6f,
	0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x02, 0x69, 0x64,
	0x12, 0x10, 0x0a, 0x03, 0x75, 0x72, 0x6c, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x75,
	0x72, 0x6c, 0x22, 0x51, 0x0a, 0x0e, 0x4e, 0x6f, 0x64, 0x65, 0x41, 0x6e, 0x64, 0x48, 0x6f, 0x70,
	0x49, 0x6e, 0x66, 0x6f, 0x12, 0x23, 0x0a, 0x04, 0x6e, 0x6f, 0x64, 0x65, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x0f, 0x2e, 0x63, 0x68, 0x6f, 0x72, 0x64, 0x2e, 0x4e, 0x6f, 0x64, 0x65, 0x49,
	0x6e, 0x66, 0x6f, 0x52, 0x04, 0x6e, 0x6f, 0x64, 0x65, 0x12, 0x1a, 0x0a, 0x08, 0x68, 0x6f, 0x70,
	0x43, 0x6f, 0x75, 0x6e, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x08, 0x68, 0x6f, 0x70,
	0x43, 0x6f, 0x75, 0x6e, 0x74, 0x22, 0x14, 0x0a, 0x02, 0x49, 0x64, 0x12, 0x0e, 0x0a, 0x02, 0x69,
	0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x02, 0x69, 0x64, 0x22, 0x32, 0x0a, 0x0a, 0x49,
	0x64, 0x41, 0x6e, 0x64, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x02, 0x69, 0x64, 0x12, 0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c,
	0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x22,
	0x78, 0x0a, 0x09, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x12, 0x3f, 0x0a, 0x0f,
	0x72, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x69, 0x62, 0x6c, 0x65, 0x4e, 0x6f, 0x64, 0x65, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x15, 0x2e, 0x63, 0x68, 0x6f, 0x72, 0x64, 0x2e, 0x4e, 0x6f,
	0x64, 0x65, 0x41, 0x6e, 0x64, 0x48, 0x6f, 0x70, 0x49, 0x6e, 0x66, 0x6f, 0x52, 0x0f, 0x72, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x69, 0x62, 0x6c, 0x65, 0x4e, 0x6f, 0x64, 0x65, 0x12, 0x14, 0x0a,
	0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61,
	0x6c, 0x75, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x66, 0x6f, 0x75, 0x6e, 0x64, 0x18, 0x03, 0x20, 0x01,
	0x28, 0x08, 0x52, 0x05, 0x66, 0x6f, 0x75, 0x6e, 0x64, 0x32, 0xde, 0x04, 0x0a, 0x04, 0x4e, 0x6f,
	0x64, 0x65, 0x12, 0x29, 0x0a, 0x09, 0x53, 0x75, 0x63, 0x63, 0x65, 0x73, 0x73, 0x6f, 0x72, 0x12,
	0x0b, 0x2e, 0x63, 0x68, 0x6f, 0x72, 0x64, 0x2e, 0x56, 0x6f, 0x69, 0x64, 0x1a, 0x0f, 0x2e, 0x63,
	0x68, 0x6f, 0x72, 0x64, 0x2e, 0x4e, 0x6f, 0x64, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x12, 0x2b, 0x0a,
	0x0b, 0x50, 0x72, 0x65, 0x64, 0x65, 0x63, 0x65, 0x73, 0x73, 0x6f, 0x72, 0x12, 0x0b, 0x2e, 0x63,
	0x68, 0x6f, 0x72, 0x64, 0x2e, 0x56, 0x6f, 0x69, 0x64, 0x1a, 0x0f, 0x2e, 0x63, 0x68, 0x6f, 0x72,
	0x64, 0x2e, 0x4e, 0x6f, 0x64, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x12, 0x31, 0x0a, 0x0d, 0x46, 0x69,
	0x6e, 0x64, 0x53, 0x75, 0x63, 0x63, 0x65, 0x73, 0x73, 0x6f, 0x72, 0x12, 0x09, 0x2e, 0x63, 0x68,
	0x6f, 0x72, 0x64, 0x2e, 0x49, 0x64, 0x1a, 0x15, 0x2e, 0x63, 0x68, 0x6f, 0x72, 0x64, 0x2e, 0x4e,
	0x6f, 0x64, 0x65, 0x41, 0x6e, 0x64, 0x48, 0x6f, 0x70, 0x49, 0x6e, 0x66, 0x6f, 0x12, 0x33, 0x0a,
	0x0f, 0x46, 0x69, 0x6e, 0x64, 0x50, 0x72, 0x65, 0x64, 0x65, 0x63, 0x65, 0x73, 0x73, 0x6f, 0x72,
	0x12, 0x09, 0x2e, 0x63, 0x68, 0x6f, 0x72, 0x64, 0x2e, 0x49, 0x64, 0x1a, 0x15, 0x2e, 0x63, 0x68,
	0x6f, 0x72, 0x64, 0x2e, 0x4e, 0x6f, 0x64, 0x65, 0x41, 0x6e, 0x64, 0x48, 0x6f, 0x70, 0x49, 0x6e,
	0x66, 0x6f, 0x12, 0x34, 0x0a, 0x16, 0x43, 0x6c, 0x6f, 0x73, 0x65, 0x73, 0x74, 0x50, 0x72, 0x65,
	0x63, 0x65, 0x64, 0x69, 0x6e, 0x67, 0x46, 0x69, 0x6e, 0x67, 0x65, 0x72, 0x12, 0x09, 0x2e, 0x63,
	0x68, 0x6f, 0x72, 0x64, 0x2e, 0x49, 0x64, 0x1a, 0x0f, 0x2e, 0x63, 0x68, 0x6f, 0x72, 0x64, 0x2e,
	0x4e, 0x6f, 0x64, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x12, 0x39, 0x0a, 0x19, 0x4e, 0x6f, 0x74, 0x69,
	0x66, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x42, 0x79, 0x50, 0x72, 0x65, 0x64, 0x65, 0x63,
	0x65, 0x73, 0x73, 0x6f, 0x72, 0x12, 0x0f, 0x2e, 0x63, 0x68, 0x6f, 0x72, 0x64, 0x2e, 0x4e, 0x6f,
	0x64, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x1a, 0x0b, 0x2e, 0x63, 0x68, 0x6f, 0x72, 0x64, 0x2e, 0x56,
	0x6f, 0x69, 0x64, 0x12, 0x37, 0x0a, 0x17, 0x4e, 0x6f, 0x74, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x42, 0x79, 0x53, 0x75, 0x63, 0x63, 0x65, 0x73, 0x73, 0x6f, 0x72, 0x12, 0x0f,
	0x2e, 0x63, 0x68, 0x6f, 0x72, 0x64, 0x2e, 0x4e, 0x6f, 0x64, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x1a,
	0x0b, 0x2e, 0x63, 0x68, 0x6f, 0x72, 0x64, 0x2e, 0x56, 0x6f, 0x69, 0x64, 0x12, 0x29, 0x0a, 0x09,
	0x43, 0x68, 0x65, 0x63, 0x6b, 0x4e, 0x6f, 0x64, 0x65, 0x12, 0x0f, 0x2e, 0x63, 0x68, 0x6f, 0x72,
	0x64, 0x2e, 0x4e, 0x6f, 0x64, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x1a, 0x0b, 0x2e, 0x63, 0x68, 0x6f,
	0x72, 0x64, 0x2e, 0x56, 0x6f, 0x69, 0x64, 0x12, 0x34, 0x0a, 0x12, 0x53, 0x65, 0x74, 0x52, 0x65,
	0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x65, 0x64, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x12, 0x11, 0x2e,
	0x63, 0x68, 0x6f, 0x72, 0x64, 0x2e, 0x49, 0x64, 0x41, 0x6e, 0x64, 0x56, 0x61, 0x6c, 0x75, 0x65,
	0x1a, 0x0b, 0x2e, 0x63, 0x68, 0x6f, 0x72, 0x64, 0x2e, 0x56, 0x6f, 0x69, 0x64, 0x12, 0x34, 0x0a,
	0x08, 0x53, 0x65, 0x74, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x12, 0x11, 0x2e, 0x63, 0x68, 0x6f, 0x72,
	0x64, 0x2e, 0x49, 0x64, 0x41, 0x6e, 0x64, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x1a, 0x15, 0x2e, 0x63,
	0x68, 0x6f, 0x72, 0x64, 0x2e, 0x4e, 0x6f, 0x64, 0x65, 0x41, 0x6e, 0x64, 0x48, 0x6f, 0x70, 0x49,
	0x6e, 0x66, 0x6f, 0x12, 0x2c, 0x0a, 0x08, 0x44, 0x65, 0x6c, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x12,
	0x09, 0x2e, 0x63, 0x68, 0x6f, 0x72, 0x64, 0x2e, 0x49, 0x64, 0x1a, 0x15, 0x2e, 0x63, 0x68, 0x6f,
	0x72, 0x64, 0x2e, 0x4e, 0x6f, 0x64, 0x65, 0x41, 0x6e, 0x64, 0x48, 0x6f, 0x70, 0x49, 0x6e, 0x66,
	0x6f, 0x12, 0x27, 0x0a, 0x08, 0x47, 0x65, 0x74, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x12, 0x09, 0x2e,
	0x63, 0x68, 0x6f, 0x72, 0x64, 0x2e, 0x49, 0x64, 0x1a, 0x10, 0x2e, 0x63, 0x68, 0x6f, 0x72, 0x64,
	0x2e, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x42, 0x1a, 0x5a, 0x18, 0x69, 0x6e,
	0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x2f, 0x70, 0x6b, 0x67, 0x2f, 0x63, 0x68, 0x6f, 0x72, 0x64,
	0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_internal_pkg_chord_proto_node_proto_rawDescOnce sync.Once
	file_internal_pkg_chord_proto_node_proto_rawDescData = file_internal_pkg_chord_proto_node_proto_rawDesc
)

func file_internal_pkg_chord_proto_node_proto_rawDescGZIP() []byte {
	file_internal_pkg_chord_proto_node_proto_rawDescOnce.Do(func() {
		file_internal_pkg_chord_proto_node_proto_rawDescData = protoimpl.X.CompressGZIP(file_internal_pkg_chord_proto_node_proto_rawDescData)
	})
	return file_internal_pkg_chord_proto_node_proto_rawDescData
}

var file_internal_pkg_chord_proto_node_proto_msgTypes = make([]protoimpl.MessageInfo, 6)
var file_internal_pkg_chord_proto_node_proto_goTypes = []interface{}{
	(*Void)(nil),           // 0: chord.Void
	(*NodeInfo)(nil),       // 1: chord.NodeInfo
	(*NodeAndHopInfo)(nil), // 2: chord.NodeAndHopInfo
	(*Id)(nil),             // 3: chord.Id
	(*IdAndValue)(nil),     // 4: chord.IdAndValue
	(*ValueInfo)(nil),      // 5: chord.ValueInfo
}
var file_internal_pkg_chord_proto_node_proto_depIdxs = []int32{
	1,  // 0: chord.NodeAndHopInfo.node:type_name -> chord.NodeInfo
	2,  // 1: chord.ValueInfo.responsibleNode:type_name -> chord.NodeAndHopInfo
	0,  // 2: chord.Node.Successor:input_type -> chord.Void
	0,  // 3: chord.Node.Predecessor:input_type -> chord.Void
	3,  // 4: chord.Node.FindSuccessor:input_type -> chord.Id
	3,  // 5: chord.Node.FindPredecessor:input_type -> chord.Id
	3,  // 6: chord.Node.ClosestPrecedingFinger:input_type -> chord.Id
	1,  // 7: chord.Node.NotificationByPredecessor:input_type -> chord.NodeInfo
	1,  // 8: chord.Node.NotificationBySuccessor:input_type -> chord.NodeInfo
	1,  // 9: chord.Node.CheckNode:input_type -> chord.NodeInfo
	4,  // 10: chord.Node.SetReplicatedValue:input_type -> chord.IdAndValue
	4,  // 11: chord.Node.SetValue:input_type -> chord.IdAndValue
	3,  // 12: chord.Node.DelValue:input_type -> chord.Id
	3,  // 13: chord.Node.GetValue:input_type -> chord.Id
	1,  // 14: chord.Node.Successor:output_type -> chord.NodeInfo
	1,  // 15: chord.Node.Predecessor:output_type -> chord.NodeInfo
	2,  // 16: chord.Node.FindSuccessor:output_type -> chord.NodeAndHopInfo
	2,  // 17: chord.Node.FindPredecessor:output_type -> chord.NodeAndHopInfo
	1,  // 18: chord.Node.ClosestPrecedingFinger:output_type -> chord.NodeInfo
	0,  // 19: chord.Node.NotificationByPredecessor:output_type -> chord.Void
	0,  // 20: chord.Node.NotificationBySuccessor:output_type -> chord.Void
	0,  // 21: chord.Node.CheckNode:output_type -> chord.Void
	0,  // 22: chord.Node.SetReplicatedValue:output_type -> chord.Void
	2,  // 23: chord.Node.SetValue:output_type -> chord.NodeAndHopInfo
	2,  // 24: chord.Node.DelValue:output_type -> chord.NodeAndHopInfo
	5,  // 25: chord.Node.GetValue:output_type -> chord.ValueInfo
	14, // [14:26] is the sub-list for method output_type
	2,  // [2:14] is the sub-list for method input_type
	2,  // [2:2] is the sub-list for extension type_name
	2,  // [2:2] is the sub-list for extension extendee
	0,  // [0:2] is the sub-list for field type_name
}

func init() { file_internal_pkg_chord_proto_node_proto_init() }
func file_internal_pkg_chord_proto_node_proto_init() {
	if File_internal_pkg_chord_proto_node_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_internal_pkg_chord_proto_node_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Void); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_internal_pkg_chord_proto_node_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*NodeInfo); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_internal_pkg_chord_proto_node_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*NodeAndHopInfo); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_internal_pkg_chord_proto_node_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Id); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_internal_pkg_chord_proto_node_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*IdAndValue); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_internal_pkg_chord_proto_node_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ValueInfo); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_internal_pkg_chord_proto_node_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   6,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_internal_pkg_chord_proto_node_proto_goTypes,
		DependencyIndexes: file_internal_pkg_chord_proto_node_proto_depIdxs,
		MessageInfos:      file_internal_pkg_chord_proto_node_proto_msgTypes,
	}.Build()
	File_internal_pkg_chord_proto_node_proto = out.File
	file_internal_pkg_chord_proto_node_proto_rawDesc = nil
	file_internal_pkg_chord_proto_node_proto_goTypes = nil
	file_internal_pkg_chord_proto_node_proto_depIdxs = nil
}
